<?php

namespace App\Filament\Resources\ActivityAssignmentRuleResource\Pages;

use App\Filament\Resources\ActivityAssignmentRuleResource;
use Filament\Resources\Pages\CreateRecord;
use Illuminate\Support\Facades\Auth;

class CreateActivityAssignmentRule extends CreateRecord
{
    protected static string $resource = ActivityAssignmentRuleResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        $data['company_id'] = Auth::user()->company_id;

        return $data;
    }
}
